petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecNestSetSubVec

Set a single component vector in a nest vector at specified index.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestSetSubVec(Vec X,PetscInt idxm,Vec sx)

Not collective

### Input Parameters

| X | - nest vector
| idxm | - index of the vector within the nest vector
| sx | - vector at index idxm within the nest vector

### Notes

The new vector sx does not have to be of same size as X[idxm]. Arbitrary vector layouts are allowed.

### See Also

VecNestSetSubVecs(), VecNestGetSubVec()

### Level

developer

### Location

src/vec/vec/impls/nest/vecnest.c

### Implementations

VecNestSetSubVec_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages